import request from '@/router/axios';
import {getToken} from '@/util/auth'

export const importTemplate=(companyName,month) =>{
  return `/api/jobslink-api/manager/plan/manage/import-talents?Jobslink-Auth=${getToken()}&companyName=${companyName}&month=${month}`;

}

export const getList=(current,size)=>{
  return request({
    url:'/api/jobslink-api/manager/companyReport/list',
    method:'get',
    params:{
      current,size
    }
  })
}
export const edit=(id,addTime)=>{
  return request({
    url:'/api/jobslink-api/manager/companyReport/update',
    method:'post',
    data:{
      id,addTime
    }
  })
}

export const editURL=(id,url)=>{
  return request({
    url:'/api/jobslink-api/manager/companyReport/update',
    method:'post',
    data:{
      id,url
    }
  })
}

/**删除方案 */
export const del=(id)=>{
  return request({
    url:'/api/jobslink-api/manager/companyReport/remove',
    method:'post',
    data:{
      id
    }
  })
}
